/*
 * a1.o.c
 * Copyright (C) 2008-2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <a1-types.h>
#include <c1i.h>

int
x1f4_head_shuffle(struct a1_trans19_type *trans19_data)
{
    struct a1_node_type *slip_node;
    struct a1_shuffle_type *shuffle_data;
    struct x1f4_c1node_type *c1node_data;

    shuffle_data = trans19_data->r.instant.shuffle_data;

    slip_node = shuffle_data->slip_node;

    x1f4_node_program(slip_node->aime, &c1node_data);
    if (1) {
	trans19_data->e.slip = c1node_data;

	trans19_data->r.instant.fail_node = slip_node;

	trans19_data->r.instant.s.function_data =
	    &slip_node->linetext.function;
    }

    return 0;
}
