/*
 * c12nd.q.c
 * Copyright (C) 2013, 2014, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <c1-inter.h>
#include <c1-types.h>

int
_x1f4_c1_flat_mine(struct c1_program_type *program_data, void *used)
{
    int excess, status;

    status = x1f4_mind_program(program_data, used);

    excess = program_data->n.free(program_data->n.data, used);
    if (excess) {
	excess = _x1f4_c1_stat_free(program_data);
	if (status) {
	} else {
	    status = excess;
	}
    }

    return status;
}
