/*
 * qscb.k.c
 * Copyright (C) 2010-2012, 2014, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <qscc-defs.h>
#include <qscc-names.h>
#include <qscc-types.h>

#define qsrate(qsrate)			((struct qsrate_type *) (qsrate))

int
_libx1f4l2_unit_qsrate(void *qsrate)
{
    int status = 0;
    void *text;

    text = qsrate(qsrate)->link_e.fplink_text;
    if (text) {
	if (qsrate(qsrate)->link_m.free(qsrate(qsrate)->link_m.data, text)) {
	    status = FREE_ERROR;
	}
    }

    return status;
}
