/*
 * lxcase-c.5.c
 * Copyright (C) 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <signal.h>

#include <sys/types.h>

#include <e4.h>
#include <lxcase-inter.h>
#include <lxcase-types.h>

#define I_MODE(t)			(*((X1f4_E4_C_MODE *) (t)))

int
_libx1f4i0_lxcase_i160313_0(void *context, void *output, void **input)
{
    int status;

    status = kill(I_MODE(input[0]), I_MODE(input[1]));
    if (status) {
	status = _libx1f4i0_lxcase_stat_kill
	    (context, "kill", I_MODE(input[0]), I_MODE(input[1]));
    }

    return status;
}
