/*
 * qscb.o.c
 * Copyright (C) 2010-2012, 2014, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <qscc-defs.h>
#include <qscc-names.h>
#include <qscc-types.h>

#define qsrate(qsrate)			((struct qsrate_type *) (qsrate))

int
_libx1f4l2_cock_qsrate(void *qsrate)
{
    int status;
    void *text;

    status = qsrate(qsrate)->link_m.link
	(qsrate(qsrate)->link_m.data, &text,
	 qsrate(qsrate)->link_a.fplist.line * 3
	 * qsrate(qsrate)->link_a.fplist.mall >> 1);
    if (status) {
	status = LINK_ERROR;
    } else {
	qsrate(qsrate)->link_e.fplink_text = text;
    }

    return status;
}
